View Javadoc

    1   /**
    2    *
    3    * Copyright 2003-2004 The Apache Software Foundation
    4    *
    5    *  Licensed under the Apache License, Version 2.0 (the "License");
    6    *  you may not use this file except in compliance with the License.
    7    *  You may obtain a copy of the License at
    8    *
    9    *     http://www.apache.org/licenses/LICENSE-2.0
    10   *
    11   *  Unless required by applicable law or agreed to in writing, software
    12   *  distributed under the License is distributed on an "AS IS" BASIS,
    13   *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    14   *  See the License for the specific language governing permissions and
    15   *  limitations under the License.
    16   */
    17
    18  //
    19  // This source code implements specifications defined by the Java
    20  // Community Process. In order to remain compliant with the specification
    21  // DO NOT add / change / or delete method signatures!
    22  //
    23
    24  package javax.servlet.jsp.el;
    25
    26  /**
    27   * <p>The interface to a map between EL function names and methods.</p>
    28   *
    29   * <p>Classes implementing this interface may, for instance, consult tag library
    30   * information to resolve the map. </p>
    31   *
    32   * @since 2.0
    33   */
    34  public interface FunctionMapper {
    35    /**
    36     * Resolves the specified local name and prefix into a Java.lang.Method.
    37     * Returns null if the prefix and local name are not found.
    38     *
    39     * @param prefix the prefix of the function, or "" if no prefix.
    40     * @param localName the short name of the function
    41     * @return the result of the method mapping.  Null means no entry found.
    42     **/
    43    public java.lang.reflect.Method resolveFunction(String prefix,
    44        String localName);
    45  }